package server;

import net.ConnectionInfo;

public class UsuarioServer {
	private String login;
	private ConnectionInfo info;
	
	public UsuarioServer(ConnectionInfo info){
		this.info = info;
	}
	
	public void setLogin(String login){
		this.login = login;
	}
	public ConnectionInfo getConnectionInfo(){
		return this.info;
	}
	@Override
	public String toString(){
		String retorno = info.toString();
		if(login != null){
			retorno += " "+login;
		}
		
		return retorno;
	}
	public boolean equals(Object o){
		boolean retorno = false;
		if(o instanceof UsuarioServer){
			if(((UsuarioServer)o).getConnectionInfo().getIp().equals(this.info.getIp())){
				retorno = true;
			}
		}
		return retorno;
	}
}
